Groovy 1.7.0

## groovy.grape
Class GrapeIvy

    java.lang.Object
      groovy.grape.GrapeIvy

    class GrapeIvy
    extends Object

author:
  Danno Ferrin

author:
  Paul King

author:
  Roshan Dawrani (roshandawrani)

Property Summary
`static int` | `DEFAULT_DEPTH`
`boolean` | `enableGrapes`
`Set` | `grabRecordsForCurrDepdendencies`
`Ivy` | `ivyInstance`
`Map` | `loadedDeps`
`IvySettings` | `settings`

Constructor Summary
`GrapeIvy()`

Method Summary
`void` | `addResolver(Map args)`
`def` | `chooseClassLoader(Map args)`
`IvyGrabRecord` | `createGrabRecord(Map deps)`
`Map` | `enumerateGrapes()`
`ResolveReport` | `getDependencies(Map args, IvyGrabRecord grabRecords)`
`File` | `getGrapeCacheDir()`
`File` | `getGrapeDir()`
`File` | `getGroovyRoot()`
`File` | `getLocalGrapeConfig()`
`def` | `grab(String endorsedModule)`
`def` | `grab(Map args)`
`def` | `grab(Map args, Map dependencies)`
`Map[]` | `listDependencies(ClassLoader classLoader)`
`URI[]` | `resolve(Map args, Map dependencies)`
`URI[]` | `resolve(Map args, List depsInfo, Map dependencies)`
`URI[]` | `resolve(ClassLoader loader, Map args, Map dependencies)`
`URI[]` | `resolve(ClassLoader loader, Map args, List depsInfo, Map dependencies)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### DEFAULT_DEPTH

    static final int DEFAULT_DEPTH

### enableGrapes

    boolean enableGrapes

### grabRecordsForCurrDepdendencies

    Set grabRecordsForCurrDepdendencies

### ivyInstance

    Ivy ivyInstance

### loadedDeps

    Map loadedDeps

### settings

    IvySettings settings

Constructor Detail

### GrapeIvy

    public GrapeIvy()

Method Detail

### addResolver

    public void addResolver(Map args)

### chooseClassLoader

    public def chooseClassLoader(Map args)

### createGrabRecord

    public IvyGrabRecord createGrabRecord(Map deps)

### enumerateGrapes

    public Map enumerateGrapes()

### getDependencies

    public ResolveReport getDependencies(Map args, IvyGrabRecord grabRecords)

### getGrapeCacheDir

    public File getGrapeCacheDir()

### getGrapeDir

    public File getGrapeDir()

### getGroovyRoot

    public File getGroovyRoot()

### getLocalGrapeConfig

    public File getLocalGrapeConfig()

### grab

    public def grab(String endorsedModule)

### grab

    public def grab(Map args)

### grab

    public def grab(Map args, Map dependencies)

### listDependencies

    public Map[] listDependencies(ClassLoader classLoader)

### resolve

    public URI[] resolve(Map args, Map dependencies)

### resolve

    public URI[] resolve(Map args, List depsInfo, Map dependencies)

### resolve

    URI[] resolve(ClassLoader loader, Map args, Map dependencies)

### resolve

    URI[] resolve(ClassLoader loader, Map args, List depsInfo, Map dependencies)

Copyright © 2003-2009 The Codehaus. All rights reserved.